sha256:f1ebb0d1b15d35f6d5728ba4e1144a21d5fd9beca143476de5e1964658d341ea
2020-12-04 06:51:16 CST
333 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:21c39c42a8e082b1b164b44e463e4752c74821dbc51451f2ac2518ae6f29dff3 - 14.66% (48.8 MB)
[#001] sha256:afab7b21aa8cddd140983ed21a34965621db1efb35f635bc756479b30c3deaf3 - 2.29% (7.61 MB)
[#002] sha256:92a1ce1fcda982662c6c9be38bac7b53e9fd405b0b367fa902cfd957be683731 - 2.96% (9.86 MB)
[#003] sha256:a190a57cc81d3d40833225fd0b5e6bf1d793a9c09ba842367e28f584fc4ab5e7 - 15.31% (51 MB)
[#004] sha256:dc286fe391b261bbe537e32cbd0af32f46ca3385b255004c032a0f243990cb02 - 56.96% (190 MB)
[#005] sha256:12689cad0e38fef5b35081d1d2c54cfa19d7977ceb93252219197c24e1200f19 - 1.86% (6.19 MB)
[#006] sha256:59f3c41b72963faa6c8ad6a61940d1eb8561822e85cde381063d48af887fd6dd - 5.36% (17.8 MB)
[#007] sha256:80bf1f6b085e25344a0f9ca1dafc0b907e67fd872b40021d21d14730a00ffdf9 - 0.0% (234 Bytes)
[#008] sha256:3ec5cc205963e4dbe2bf061974ca0ab494bd9bded858231dbf2c6a1d0d599bdc - 0.61% (2.04 MB)
/bin/sh -c #(nop) ADD file:4805e11ec22df9454eb4759523111e031e84c8078bcaef178f089baca9e83cdb in /
2020-11-18 04:19:40 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 05:03:59 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 05:04:06 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 05:04:39 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 05:06:07 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 20:38:25 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 20:38:25 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 20:38:35 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 20:38:35 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 20:38:35 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 20:52:04 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 20:52:05 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 06:51:03 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 06:51:04 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 06:51:04 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 06:51:15 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 06:51:16 CST/bin/sh -c #(nop) CMD ["python3"]
sha256:0d61a84e919dcfc0e1191bd57cdc4b89ba86a0216fe56477b6854a3b2d00c4fb
2020-12-04 06:37:53 CST
324 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:756975cb9c7e7933d824af9319b512dd72a50894232761d06ef3be59981df838 - 14.82% (48.1 MB)
[#001] sha256:d77915b4e630d47296770ce4cf481894885978072432456615172af463433cc5 - 2.3% (7.45 MB)
[#002] sha256:5f37a0a41b6b03489dd7de0aa2a79e369fd8b219bbc36b52f3f9790dc128e74b - 2.94% (9.53 MB)
[#003] sha256:96b2c1e36db5f5910f58da2ca4f9311b0690810c7107fb055ee1541498b5061f - 15.24% (49.4 MB)
[#004] sha256:c495e8de12d26c9843a7a2bf8c68de1e5652e66d80d9bc869279f9af6f86736a - 56.55% (183 MB)
[#005] sha256:33382189822a108b249cf3ccd234d04c3a8dfe7d593df19c751dcfab3675d5f2 - 1.81% (5.86 MB)
[#006] sha256:c4f4e79ed7284d29e05310f9e950f355b43827efdcb01b9b900a769e7a5351d0 - 5.71% (18.5 MB)
[#007] sha256:6ddc9a29e5297907401b1813583ea9ff71f99cf4a5aa05210b4574d484d20716 - 0.0% (233 Bytes)
[#008] sha256:f4654c3a8fb863069802a4bdd2f0252090fa1bdd12da86f88917fcaccc420557 - 0.63% (2.04 MB)
/bin/sh -c #(nop) ADD file:9a4fd72d749f4a791e75e0f6fc6028d0771e3381b6d84a8d0b07a4887bc7c641 in /
2020-11-18 04:20:58 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 08:30:37 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 08:30:47 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 08:31:18 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 08:32:34 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 20:56:39 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 20:56:39 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 20:56:47 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 20:56:47 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 20:56:47 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 21:06:47 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 21:06:48 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 06:37:45 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 06:37:45 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 06:37:45 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 06:37:52 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 06:37:53 CST/bin/sh -c #(nop) CMD ["python3"]
sha256:d6b3c63436dbd6896371587460dc150523cedf6265b7ecf1bd35d5f7146c36a0
2020-12-10 01:46:22 CST
2.29 GB
UTF-8
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_RELEASE3.10.0
PYTHON_VERSION3.10.0a2
[#000] sha256:4612f6d0b889cad0ed0292fae3a0b0c8a9e49aff6dea8eb049b2386d9b07986f - 69.86% (1.6 GB)
[#001] sha256:aa4f58cd6da1aaf1a0b44d443bd88e7fbe5b0a6f193995a1a61d6bd63990f314 - 27.34% (641 MB)
[#002] sha256:a4372d14958dc8a7eaaace9e4774e7f1db524da5eb4474b5e46738848a3a61a5 - 0.0% (1.1 KB)
[#003] sha256:e94dd2e25fa016037458dfad84ce68c5f51c1d9a517cbb1d6a9d9037fb27a47b - 0.0% (1.12 KB)
[#004] sha256:9592f5cea675151cf1f34f726a4b41f99f847caaa91adfa7cf63c33d15b2ce8f - 0.0% (1.1 KB)
[#005] sha256:25b6ebb47d65b1feeb4d2e03eca475d031426836d8f0bd23bfe64f6e50b97806 - 0.0% (1.08 KB)
[#006] sha256:365dbcc33c2b6b6001c1c9d96afc0ec70f72dfb81820dd2f752a37b0d9195eee - 2.37% (55.7 MB)
[#007] sha256:37b6c38c87fa7b1893ab245fd78a8723c29aa9ed3e30ea9e8c57c1dc4d2c6779 - 0.0% (1.09 KB)
[#008] sha256:567cd433c1528402cddeef8fe231551ee39809fc473b2078502e3ff2fe0046d5 - 0.0% (1.1 KB)
[#009] sha256:7ff04e1625805fed12e7ecd5aab1faaf8924634ced27d2aef193056025ed12ba - 0.0% (1.12 KB)
[#010] sha256:95a79814a92202063ef853611c7f1686822c6677d0748654bf461199f64c2f77 - 0.42% (9.87 MB)
[#011] sha256:1bef753ebf624cb408610a142b45abcfec3e61526009f23ad5df76e86c5561d6 - 0.0% (1.12 KB)
Apply image 1809-RTM-amd64
2020-12-04 10:13:01 CSTInstall update 1809-amd64
2020-12-09 21:30:16 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2020-12-10 01:43:53 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2020-12-10 01:43:53 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-12-10 01:43:54 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.10.0
2020-12-10 01:45:36 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'
2020-12-10 01:45:36 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-10 01:45:37 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-10 01:45:38 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-10 01:46:21 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2020-12-10 01:46:22 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:62dcd7af263df1a047ec78020f3b9ad9e8eaf09a3f18734ef8993dadece95719
2020-12-10 01:50:41 CST
5.44 GB
UTF-8
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_RELEASE3.10.0
PYTHON_VERSION3.10.0a2
[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 69.65% (3.79 GB)
[#001] sha256:d2696dc2a40dc121fc5acaa02242817ac416c69d17c113e2ac5136d21a3942d8 - 29.07% (1.58 GB)
[#002] sha256:c6d005eb9e78ad42f77f3dad7e29d954e78f0547f9884fe024a71f4042412970 - 0.0% (1.16 KB)
[#003] sha256:a18db14afcdaf52f01f53af42090925b5c891dfe60bedf017c011f3a9f08413b - 0.0% (1.12 KB)
[#004] sha256:ee2aa535b3eda931e6f252610ad25820debac9e603c76de842ead2d0698ac16a - 0.0% (1.1 KB)
[#005] sha256:36e181fc5e3bed3ec03beaaec565d04405ef5a27ca26296318f1c336bdb9f4d6 - 0.0% (1.12 KB)
[#006] sha256:fb5626a4772dada164866800999c1c6e82913a9e3e27bc4fd037b5a21f3932ec - 1.01% (56.4 MB)
[#007] sha256:32ca1a977b37958e7401f7ced69b980cae4a594617189ac23727c989e8cf2c38 - 0.0% (1.14 KB)
[#008] sha256:dbff9490457c77d1b982ab7de9792c81adc6e92a39504cc97bf3c08df4dbe39a - 0.0% (1.1 KB)
[#009] sha256:74df5ff38cb1b7c5e4d395246fe64b66e2f2e8812c822241eb17994ce2a6e31d - 0.0% (1.13 KB)
[#010] sha256:791731bba28c04954963df29fdf8b1c148c9493e7abe5b0122ac99a7e3ec6f6f - 0.27% (14.9 MB)
[#011] sha256:798b7b32b6a332004b3fc92c960a6d64356eb3625d8405a0becc2f01932c8f07 - 0.0% (1.12 KB)
Apply image 1607-RTM-amd64
2020-12-03 01:42:00 CSTInstall update ltsc2016-amd64
2020-12-09 21:34:44 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]
2020-12-10 01:46:34 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHONIOENCODING=UTF-8
2020-12-10 01:46:35 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-12-10 01:46:35 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_RELEASE=3.10.0
2020-12-10 01:48:55 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://www.python.org/ftp/python/{0}/python-{1}-amd64.exe' -f $env:PYTHON_RELEASE, $env:PYTHON_VERSION); Write-Host ('Downloading {0} ...' -f $url); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $url -OutFile 'python.exe'; Write-Host 'Installing ...'; Start-Process python.exe -Wait -ArgumentList @( '/quiet', 'InstallAllUsers=1', 'TargetDir=C:\Python', 'PrependPath=1', 'Shortcuts=0', 'Include_doc=0', 'Include_pip=0', 'Include_test=0' ); $env:PATH = [Environment]::GetEnvironmentVariable('PATH', [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' python --version'; python --version; Write-Host 'Removing ...'; Remove-Item python.exe -Force; Write-Host 'Complete.'
2020-12-10 01:48:57 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-10 01:48:58 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-10 01:48:59 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-10 01:50:40 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading get-pip.py ({0}) ...' -f $env:PYTHON_GET_PIP_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:PYTHON_GET_PIP_URL -OutFile 'get-pip.py'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:PYTHON_GET_PIP_SHA256); if ((Get-FileHash 'get-pip.py' -Algorithm sha256).Hash -ne $env:PYTHON_GET_PIP_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host ('Installing pip=={0} ...' -f $env:PYTHON_PIP_VERSION); python get-pip.py --disable-pip-version-check --no-cache-dir ('pip=={0}' -f $env:PYTHON_PIP_VERSION) ; Remove-Item get-pip.py -Force; Write-Host 'Verifying pip install ...'; pip --version; Write-Host 'Complete.'
2020-12-10 01:50:41 CSTpowershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["python"]
sha256:432c16dbcf61ab99d9134b304141c923219ca2343b8e3b814bbf5b419d2ceb05
2020-12-04 05:50:26 CST
298 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:5ab3aa180a853babda6a9051719fe6ec0d84c2b928c417dcb59a1728ad58b664 - 15.4% (45.9 MB)
[#001] sha256:521d5b6df6edc5ecad2cf2b768fbd613543aa0e4cf088cf833831721dfbe9ed3 - 2.36% (7.02 MB)
[#002] sha256:1c2374b91c31c8256125e91fff26b9eb051ec11e6d4bcd609fb19d7416c500c0 - 3.1% (9.24 MB)
[#003] sha256:fd4b93b1a93df4915c39e81ab18cea9e915b703dac510437aaa30c87712011ce - 15.87% (47.3 MB)
[#004] sha256:be5b2c6f6356612a563f026d6b0f44d0400943c9355ffbcc9611d33323e19e10 - 54.81% (163 MB)
[#005] sha256:1511931f7cff4461e4da6c1c7c09217ccfe7fffa5fa78a1d074663abbc1d5ae8 - 1.87% (5.57 MB)
[#006] sha256:31731c6f9c99e8a8c4c7c11c930b58466720dd21a19f63ccadb36a2f856c8988 - 5.92% (17.6 MB)
[#007] sha256:f2e1dea329ed42d151e4923905662a54941788e9d1fe5d2717a0aecbdaed1b40 - 0.0% (233 Bytes)
[#008] sha256:d42937e7581f88a6d612fa927c8cd7a45e11623513254a19612eb8125c1f41b9 - 0.68% (2.04 MB)
/bin/sh -c #(nop) ADD file:bb3447356f67bcc742643d914d0254a63f6ae355a30f0ac2471abe10df2ef70d in /
2020-11-18 04:20:12 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 05:41:57 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 05:42:14 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 05:43:12 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 05:46:03 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 06:22:29 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 06:22:32 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 06:22:59 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 06:23:01 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 06:23:02 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 06:34:44 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 06:34:47 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 05:50:05 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 05:50:06 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 05:50:06 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 05:50:25 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 05:50:26 CST/bin/sh -c #(nop) CMD ["python3"]
sha256:76cdcb4fc5c5c9ea8f516ad99c721d86a1f5f38d5c5b21d8b99fcd93a1f86225
2020-12-04 06:01:32 CST
290 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:ebde10b2510128140d24e66909ceb0c80e00656af313829f82d31ae8cf08bcf8 - 15.09% (43.7 MB)
[#001] sha256:05478d2a9ec4daaef33a6c87d057451c262677d02e4d9c61125bbb68bc56a601 - 2.33% (6.77 MB)
[#002] sha256:39c5f002cc82f5d62a78100714f451edb33a717fbf6795e309e0b1768712c093 - 3.07% (8.91 MB)
[#003] sha256:3d327c3810299006837433575844fea13af679784a13df32d477f1207e94ea8c - 15.57% (45.2 MB)
[#004] sha256:9cb9b79ac75491ca0d6be5abb23a07ad8026b4aae731e13376684bff9969e8a8 - 55.41% (161 MB)
[#005] sha256:13634106be2c0d30c1d01e60f95d9c748701f3e0b903bf23dbeae2eb7b7880f6 - 1.82% (5.28 MB)
[#006] sha256:47763b94ba93caa2e46952e7b53a734f1df2ba3e0e1cedb2123c8365cb7334c4 - 6.0% (17.4 MB)
[#007] sha256:f478dc9a041c71d78f157bf67cc3ab6dae1c9caed81c673764c071858910ea73 - 0.0% (232 Bytes)
[#008] sha256:67fafbf7c1bd76311564cf53f889ad2d41be03319119f61539197210e52cee73 - 0.7% (2.04 MB)
/bin/sh -c #(nop) ADD file:81141d8fa450e1e5af67bb3757057f3fc34d3ed35cfd0caedb0aab64c5da9aaf in /
2020-11-18 04:20:33 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 05:41:33 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 05:41:50 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 05:42:46 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 05:45:06 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 11:57:03 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 11:57:07 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 11:57:25 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 11:57:27 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 11:57:27 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 12:09:41 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 12:09:45 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 06:01:10 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 06:01:11 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 06:01:12 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 06:01:31 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 06:01:32 CST/bin/sh -c #(nop) CMD ["python3"]
sha256:b003896e8701fec31667aeb819435f1a67c495694c2b75ab35d0c4bb55b0eef1
2020-12-04 07:00:03 CST
315 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:22518ad4a7da48a5acd01946dad2fbee99e4fca910d23b78cd7e4a16c3bd1e5b - 14.9% (46.9 MB)
[#001] sha256:07ed68dbf09ea059b44b3e1013706c78f868e5f07beb5f16780ca8f52aa9594a - 2.33% (7.33 MB)
[#002] sha256:39eeb09cb5ac2e2a9553920a21389f08df1b6b08c816ae4b8e60866d84119492 - 3.02% (9.52 MB)
[#003] sha256:ff17ea9ada38fca6de6d6808558e3c10793b90c2331b3481ad81f7c62293d8e6 - 15.8% (49.7 MB)
[#004] sha256:e7dea92ecae615cf4291c3db4250413456b07575391a5e2b6db5ddfec7ce7a98 - 55.68% (175 MB)
[#005] sha256:367114bc8785cdfca98de9a72a56b51ebe58b90dda85b3bf283e5ec2541abc7d - 1.9% (5.97 MB)
[#006] sha256:cedf023d8939e58ff180f16b182471299fb6414031b69d959c3fbe7934b24d9b - 5.72% (18 MB)
[#007] sha256:9ae6f7699f437bc1469b4f557da6751b88b5563f626b7c27902035f7af0c04e3 - 0.0% (233 Bytes)
[#008] sha256:18957391755cdb4517814b2695c0175b5dae6e9cfef51b228731c553ad65ac49 - 0.65% (2.04 MB)
/bin/sh -c #(nop) ADD file:28343d2066831f0ffb2002914f158698f92b4af6dc16ac22e3d8e9c388c688bb in /
2020-11-18 04:23:05 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 06:20:52 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 06:21:10 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 06:21:47 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 06:24:08 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 14:27:39 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 14:27:40 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 14:27:55 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 14:27:57 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 14:27:58 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 14:36:27 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 14:36:31 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 06:59:46 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 06:59:47 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 06:59:48 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 07:00:02 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 07:00:03 CST/bin/sh -c #(nop) CMD ["python3"]
sha256:b1c2f9dc4a08bc0e945de3b2485756060831d465f11592f0d721a25edd925d70
2020-12-04 06:09:56 CST
310 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:dfb90274558af841c9796a5beea46490849a7c976f581a0c8b88abf06db56f1e - 15.1% (46.7 MB)
[#001] sha256:ed9818d418c7b576c15024336a4aea56a58529ecd9b3079f0655966933948695 - 2.23% (6.9 MB)
[#002] sha256:788e51b5e72a4c84a4871396b113a204ef677df1acb708cb1632fdb0a1a1c14d - 3.09% (9.55 MB)
[#003] sha256:aa993f09cad1532e4160e328520aeb5341e617ebacc30ba42c7845bfe78f938d - 15.66% (48.5 MB)
[#004] sha256:2207c46abff3ac9a752e7cf978c9550e007843969d5d69eb6f122ac4204adee2 - 55.4% (171 MB)
[#005] sha256:6b9312bdbc815e166144603ea797ae53230c0681b1461d0c9ee1144d3f322ac8 - 1.99% (6.16 MB)
[#006] sha256:f8704e5965ff193eedbd32fff75ba3bdc6af1600babb6cf5dbdd7de4259aa15d - 5.87% (18.2 MB)
[#007] sha256:fce2dc9c61cbf4c926159564a1bd7087bedc9bb4a1219c33da04a49371a84b37 - 0.0% (233 Bytes)
[#008] sha256:9073116f6e2c297330791a0eba52b92efbff7a98eb0473fad9d22e47add3c619 - 0.66% (2.04 MB)
/bin/sh -c #(nop) ADD file:a535d2f623f959d14749f458ffedfb6a0ec8dc8081509e3d4961929b20654a10 in /
2020-11-18 04:18:58 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 06:39:38 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 06:39:53 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 06:40:50 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 06:43:45 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 08:40:50 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 08:40:50 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 08:41:11 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 08:41:11 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 08:41:11 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 09:21:14 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 09:21:16 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 06:09:33 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 06:09:33 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 06:09:34 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 06:09:55 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 06:09:56 CST/bin/sh -c #(nop) CMD ["python3"]
sha256:c25bff07463042c0dfb16eb0cda321e87c280d9b9bcbd16270f1726496e4e8cd
2020-12-04 06:38:36 CST
346 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:94e00adb98ff1f971add74025ff2a8ca87e003568d828bdb0df26ecd46c269a2 - 14.93% (51.6 MB)
[#001] sha256:8a46d858a6e31a5aa25fd9c527cdee95fe08fc11f45038212d1c5c7e52dc7b40 - 2.28% (7.87 MB)
[#002] sha256:fbfab907b4d9fde9fb35f17a366b653e709c31cbce8602a2ae23c23d39524820 - 2.96% (10.2 MB)
[#003] sha256:157cce210a3874859c02d469911ddfc967ed435c3c04ebf12cdad81fe199cef0 - 15.84% (54.8 MB)
[#004] sha256:47c205957dfc9cb35b737f51ec6985e8bbfa793cabfde43085a053e7f5cf44ac - 56.0% (194 MB)
[#005] sha256:1d76ab441741175eaddd328ea78d468be8bed8c957c980bc8dc7c25468b7639e - 1.9% (6.57 MB)
[#006] sha256:d3adb8a8ed28acc154e1902777c4dd4e44f7618907800fb00acb611e4e719fd6 - 5.5% (19 MB)
[#007] sha256:06a85b0764fd7cc3dc5f2dc127c7bf856f33fdd0c0b1a92484b12fe48b7c91a5 - 0.0% (233 Bytes)
[#008] sha256:1d2682110b31c9bca87423a48420a260eb1a32c7822002e3c98fb6fd5604a7ee - 0.59% (2.04 MB)
/bin/sh -c #(nop) ADD file:b5112ae3b22de1d8a373191ad01151a6c1cdde605887b1836672be39787e2213 in /
2020-11-18 07:22:37 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 08:55:44 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 08:57:02 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 08:59:34 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 09:20:42 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 15:26:58 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 15:27:03 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 15:28:03 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 15:28:07 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 15:28:12 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 15:37:42 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 15:37:58 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 06:37:31 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 06:37:35 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 06:37:40 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 06:38:28 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 06:38:36 CST/bin/sh -c #(nop) CMD ["python3"]
sha256:58485c98151466b2a1e41f9a32f18bc86515364f1f25249b0955614b8dfe1a80
2020-12-04 06:50:29 CST
307 MB
A035C8C19219BA821ECEA86B64E628F8D684696D
LANGC.UTF-8
PATH/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PYTHON_GET_PIP_SHA256d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
PYTHON_GET_PIP_URLhttps://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
PYTHON_PIP_VERSION20.3.1
PYTHON_VERSION3.10.0a2
[#000] sha256:6e95a7d20e6bbf957d2bb5912f19784daba6953d8afac5562453108dd45940e1 - 15.22% (46.7 MB)
[#001] sha256:ab56d289be912cd903623a00b35bdc52f4f1b54a6778c1ba4c076e5cfe339aa5 - 2.3% (7.04 MB)
[#002] sha256:c29ee109f7efbe0700da6e225717912b22d8e015d8d9a9968e564419b1ba97a3 - 3.07% (9.42 MB)
[#003] sha256:99e45adeb409573e310b14d50aaf13f2a71a45e62f9f872239e36eb86f927b54 - 15.97% (49 MB)
[#004] sha256:29eec538f7c27dd46ca5cff5bd6e29299adea0933747804e60e0dc381865c13d - 54.96% (169 MB)
[#005] sha256:9df669021968714da2a1de33d1edeab6ad4cf34452706be135410fe592a08ef2 - 1.88% (5.78 MB)
[#006] sha256:1ab2b6faffbf15dde21b35b6be691b907a26e4ab0ea1a90e691d9bde33ff3f1d - 5.93% (18.2 MB)
[#007] sha256:1b9259170dd06e49b5c7f98c148bf6c0a1069ae2dd7ebc111759bfc832259a41 - 0.0% (233 Bytes)
[#008] sha256:1ddc8f445dd15d89624354b4a4d889509be7ed6a1c8454d5dc0251f74563f67a - 0.66% (2.04 MB)
/bin/sh -c #(nop) ADD file:dfb1d2f775a9c4493397d0ca05aa6486393c6dad4f0fb5f48ffd209397301bdb in /
2020-11-18 04:18:05 CST/bin/sh -c #(nop) CMD ["bash"]
2020-11-18 05:32:00 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*
2020-11-18 05:32:13 CST/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi
2020-11-18 05:32:58 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*
2020-11-18 05:35:18 CST/bin/sh -c set -ex; apt-get update; apt-get install -y --no-install-recommends autoconf automake bzip2 dpkg-dev file g++ gcc imagemagick libbz2-dev libc6-dev libcurl4-openssl-dev libdb-dev libevent-dev libffi-dev libgdbm-dev libglib2.0-dev libgmp-dev libjpeg-dev libkrb5-dev liblzma-dev libmagickcore-dev libmagickwand-dev libmaxminddb-dev libncurses5-dev libncursesw5-dev libpng-dev libpq-dev libreadline-dev libsqlite3-dev libssl-dev libtool libwebp-dev libxml2-dev libxslt-dev libyaml-dev make patch unzip xz-utils zlib1g-dev $( if apt-cache show 'default-libmysqlclient-dev' 2>/dev/null | grep -q '^Version:'; then echo 'default-libmysqlclient-dev'; else echo 'libmysqlclient-dev'; fi ) ; rm -rf /var/lib/apt/lists/*
2020-11-18 10:23:50 CST/bin/sh -c #(nop) ENV PATH=/usr/local/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2020-11-18 10:23:51 CST/bin/sh -c #(nop) ENV LANG=C.UTF-8
2020-11-18 10:24:04 CST/bin/sh -c apt-get update && apt-get install -y --no-install-recommends libbluetooth-dev tk-dev uuid-dev && rm -rf /var/lib/apt/lists/*
2020-11-18 10:24:05 CST/bin/sh -c #(nop) ENV GPG_KEY=A035C8C19219BA821ECEA86B64E628F8D684696D
2020-11-18 10:24:06 CST/bin/sh -c #(nop) ENV PYTHON_VERSION=3.10.0a2
2020-11-18 10:31:29 CST/bin/sh -c set -ex && wget -O python.tar.xz "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz" && wget -O python.tar.xz.asc "https://www.python.org/ftp/python/${PYTHON_VERSION%%[a-z]*}/Python-$PYTHON_VERSION.tar.xz.asc" && export GNUPGHOME="$(mktemp -d)" && gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$GPG_KEY" && gpg --batch --verify python.tar.xz.asc python.tar.xz && { command -v gpgconf > /dev/null && gpgconf --kill all || :; } && rm -rf "$GNUPGHOME" python.tar.xz.asc && mkdir -p /usr/src/python && tar -xJC /usr/src/python --strip-components=1 -f python.tar.xz && rm python.tar.xz && cd /usr/src/python && gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)" && ./configure --build="$gnuArch" --enable-loadable-sqlite-extensions --enable-optimizations --enable-option-checking=fatal --enable-shared --with-system-expat --with-system-ffi --without-ensurepip && make -j "$(nproc)" && make install && rm -rf /usr/src/python && find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' -o -name '*.a' \) \) \) -exec rm -rf '{}' + && ldconfig && python3 --version
2020-11-18 10:31:33 CST/bin/sh -c cd /usr/local/bin && ln -s idle3 idle && ln -s pydoc3 pydoc && ln -s python3 python && ln -s python3-config python-config
2020-12-04 06:50:17 CST/bin/sh -c #(nop) ENV PYTHON_PIP_VERSION=20.3.1
2020-12-04 06:50:17 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_URL=https://github.com/pypa/get-pip/raw/91630a4867b1f93ba0a12aa81d0ec4ecc1e7eeb9/get-pip.py
2020-12-04 06:50:18 CST/bin/sh -c #(nop) ENV PYTHON_GET_PIP_SHA256=d48ae68f297cac54db17e4107b800faae0e5210131f9f386c30c0166bf8d81b7
2020-12-04 06:50:28 CST/bin/sh -c set -ex; wget -O get-pip.py "$PYTHON_GET_PIP_URL"; echo "$PYTHON_GET_PIP_SHA256 *get-pip.py" | sha256sum --check --strict -; python get-pip.py --disable-pip-version-check --no-cache-dir "pip==$PYTHON_PIP_VERSION" ; pip --version; find /usr/local -depth \( \( -type d -a \( -name test -o -name tests -o -name idle_test \) \) -o \( -type f -a \( -name '*.pyc' -o -name '*.pyo' \) \) \) -exec rm -rf '{}' +; rm -f get-pip.py
2020-12-04 06:50:29 CST/bin/sh -c #(nop) CMD ["python3"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.